* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    width: 100%;
    height: 100%;
    background-color: #000;
    font-family: 'Segoe UI', sans-serif;
    overflow: hidden;
}

#intro-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 1s ease;
}

#entry-btn {
    background: none;
    border: 1px solid rgba(255, 255, 255, 0.2);
    color: white;
    padding: 20px 50px;
    font-size: 12px;
    letter-spacing: 7px;
    cursor: pointer;
    font-family: 'Consolas', monospace;
    transition: 0.4s;
}

#bg-video {
    position: fixed;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    transform: translate(-50%, -50%);
    z-index: 1;
    object-fit: cover;
    filter: brightness(0.5);
    pointer-events: none;
}

#firefly {
    position: fixed;
    top: 0;
    left: 0;
    width: 4px;
    height: 4px;
    background: #fff;
    border-radius: 50%;
    pointer-events: none;
    z-index: 100;
    box-shadow: 0 0 20px 10px rgba(255, 255, 150, 0.4), 0 0 50px 30px rgba(255, 255, 150, 0.1);
    opacity: 0;
    transition: opacity 1s ease;
}

#entry-btn.active {
    transform: scale(0.85);
    letter-spacing: 4px;
    opacity: 0.5;
    border-color: rgba(255, 255, 255, 0.5);
}

.content-wrapper {
    position: relative;
    z-index: 10;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transform: scale(0.9);
    transition: all 1.2s ease;
    background: transparent !important;
}

.card {
    background: rgba(255, 255, 255, 0.02);
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
    border: 1px solid rgba(255, 255, 255, 0.08);
    padding: 60px 80px;
    border-radius: 40px;
    text-align: center;
    color: white;
}
h1 { font-size: 48px; margin-bottom: 10px; }
.subtitle { opacity: 0.5; font-size: 18px; font-family: 'Consolas', monospace; }
.links { display: flex; gap: 25px; justify-content: center; margin-top: 100px; }
.btn { position: relative; display: flex; overflow: hidden; width: 160px; height: 55px; border-radius: 15px; text-decoration: none; transition: 0.3s; }
.btn span { position: absolute; z-index: 10; width: 100%; height: 100%; background-color: #121212; color: white; line-height: 55px; text-align: center; font-weight: 600; transition: 0.4s; }
.btn-full-img { position: absolute; width: 100%; height: 100%; object-fit: cover; opacity: 0; z-index: 5; transition: 0.4s; }
.btn:hover span { opacity: 0; transform: translateY(20px); }
.btn:hover .btn-full-img { opacity: 1; }